> ## Documentation Index
> Fetch the complete documentation index at: https://redo-44af351d-docs-return-item-identifiers-endpoint.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Returns

> List returns, sorted by most recent to least recent.



## OpenAPI

````yaml /api-schema/openapi.yaml get /stores/{storeId}/returns
openapi: 3.1.0
info:
  contact:
    email: engineering-admin@getredo.com
    name: Redo Engineering
  description: |
    ## Endpoints

    Endpoints are authenticated using the Bearer authorization scheme, using the
    REDO_API_SECRET.

    ```txt
    GET /v2.2/resource HTTP/1.1
    Authorization: Bearer 77bb7598b7a972475cc7c7e171ec33af
    Host: api.getredo.com
    ```

    ## Webhooks

    Webhooks are authenticated using the Bearer authorization scheme, using
    a secret supplied by the subscriber.

    ```txt
    POST /events HTTP/1.1
    Authorization: Bearer subscriberauth123
    Host: subscriber.example.com
    ```

    Webhook events are delivered in order for each individual subject (e.g.
    return).

    If the response is not a 2xx status code, the event will be retried multiple
    times before discarding it.
  title: Redo API
  version: 2.2.1
servers:
  - url: https://api.getredo.com/v2.2
security: []
tags:
  - name: Checkout Buttons
  - name: Coverage Info
  - name: Coverage Products
  - name: Custom Events
  - name: Customer Portal
  - name: Customer Subscriptions
  - name: Customers
  - name: Inbound Shipments
  - name: Inventory Items
  - name: Inventory Levels
  - name: Invoices
  - name: Merchant Admin
  - name: Orders
  - name: Products
  - name: Returns
  - name: Storefront
  - name: Webhooks
paths:
  /stores/{storeId}/returns:
    summary: Returns
    description: List of returns for store.
    parameters:
      - $ref: '#/components/parameters/store-id.param'
    get:
      tags:
        - Returns
      summary: List Returns
      description: List returns, sorted by most recent to least recent.
      operationId: Returns list
      parameters:
        - $ref: '#/components/parameters/page-continue.param'
        - $ref: '#/components/parameters/page-size.param'
        - $ref: '#/components/parameters/updated-at-max.param'
        - $ref: '#/components/parameters/updated-at-min.param'
        - $ref: '#/components/parameters/shopify-order-name'
        - $ref: '#/components/parameters/provider-order-name'
        - $ref: '#/components/parameters/return-status.param'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  orders:
                    items:
                      $ref: '#/components/schemas/order-read.schema'
                    type: array
                  returns:
                    items:
                      $ref: '#/components/schemas/return-read.schema'
                    type: array
                required:
                  - orders
                  - returns
                type: object
          description: Success
          headers:
            X-Page-Next:
              $ref: '#/components/headers/page-next.header'
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/error.schema'
          description: Error
      security:
        - Bearer: []
components:
  parameters:
    store-id.param:
      description: Store ID
      in: path
      name: storeId
      required: true
      schema:
        example: 64e5a8a1af49a89df37e4ee7
        type: string
    page-continue.param:
      description: Page marker, from X-Page-Next header
      example: 64df700931a04885276c3364
      in: header
      name: X-Page-Continue
      schema:
        type: string
    page-size.param:
      description: Page size, defaults to 20
      example: 20
      in: header
      name: X-Page-Size
      schema:
        maximum: 500
        minimum: 1
        type: integer
    updated-at-max.param:
      description: Maximum updated time, exclusive
      example: '2000-02-01T00:00:00Z'
      in: query
      name: updated_at_max
      schema:
        format: date-time
        type: string
    updated-at-min.param:
      description: Minimum updated time, inclusive
      example: '2000-01-01T00:00:00Z'
      in: query
      name: updated_at_min
      schema:
        format: date-time
        type: string
    shopify-order-name:
      description: Shopify specific order name
      in: query
      name: shopify_order_name
      schema:
        example: XYZ1025
        type: string
    provider-order-name:
      description: Provider specific order name
      in: query
      name: provider_order_name
      schema:
        example: XYZ1025
        type: string
    return-status.param:
      description: Filter returns by status
      in: query
      name: status
      schema:
        $ref: '#/components/schemas/return-status.schema'
  schemas:
    order-read.schema:
      description: Order.
      properties:
        customer:
          properties:
            emailAddress:
              description: Email address of customer.
              format: email
              title: Email address
              type: string
            name:
              $ref: '#/components/schemas/person-name.schema'
              description: Name of customer.
              title: Name
            phoneNumber:
              $ref: '#/components/schemas/phone-number.schema'
              description: Phone number of customer.
              title: Phone number
          required:
            - name
          type: object
        discounts:
          $ref: '#/components/schemas/money.schema'
          description: >-
            The total amount discounted on the order before returns. This
            includes both order and line level discounts.
          title: Discounts
        externalId:
          description: Shopify ID
          examples:
            - '1073459971'
            - '450789469'
          title: External ID
          type: string
        id:
          description: Order ID
          example: 64e4da943dd822979a70bd12
          title: ID
          type: string
        items:
          items:
            properties:
              externalId:
                example: '123'
                type: string
              fulfillmentLocationId:
                description: ID of the location where the item was be fulfilled.
                example: '123'
                type:
                  - string
                  - 'null'
              id:
                description: Line item ID
                title: ID
                type: string
              price:
                $ref: '#/components/schemas/money.schema'
                title: Price
              product:
                $ref: '#/components/schemas/product.schema'
                title: Product
              quantity:
                $ref: '#/components/schemas/item-quantity.schema'
                title: Quantity
              variant:
                $ref: '#/components/schemas/product-variant.schema'
                title: Variant
            required:
              - id
              - product
              - quantity
              - variant
              - price
              - fulfillmentLocationId
          title: Line items
          type: array
        lineItemsTotal:
          $ref: '#/components/schemas/money.schema'
          description: Total price of all line items before discounts, shipping, and taxes.
          title: Line Items Total
        name:
          description: Shopify name.
          examples:
            - '#123'
          title: Name
          type: string
        shippingCost:
          $ref: '#/components/schemas/money.schema'
          description: >-
            The total shipping cost for the order. This includes fees and any
            related discounts that were refunded.
          title: Shipping Cost
        taxes:
          $ref: '#/components/schemas/money.schema'
          description: Total taxes applied to the order.
          title: Taxes
        total:
          $ref: '#/components/schemas/money.schema'
          description: >-
            The total price of the order, before returns. This includes taxes,
            discounts, and shipping costs.
          title: Total
      required:
        - customer
        - id
        - items
        - name
        - discounts
        - lineItemsTotal
        - shippingCost
        - total
        - taxes
      title: Order
      type: object
    return-read.schema:
      description: Return read.
      properties:
        compensationMethods:
          description: Array of compensation methods available for this return
          items:
            enum:
              - refund
              - store_credit
              - exchange
            type: string
          title: Compensation Methods
          type: array
        completeWithNoAction:
          description: Whether this return can be completed with no action
          title: Complete With No Action
          type: boolean
        createdAt:
          description: Time of creation.
          format: date-time
          title: Created at
          type: string
        destination:
          properties:
            mailingAddress:
              $ref: '#/components/schemas/address.schema'
              description: Mailing address to send the returned items.
              title: Mailing address
            phoneNumber:
              $ref: '#/components/schemas/phone-number.schema'
              description: Phone number of the destination.
              title: Phone number
          type: object
        exchange:
          description: Exchange order
          properties:
            itemCount:
              description: Total quantity of all exchange items
              type: integer
            items:
              items:
                properties:
                  id:
                    title: ID
                    type: string
                  originalPrice:
                    description: >-
                      Original price for the exchange item without discounts and
                      taxes
                    properties:
                      amount:
                        type: string
                      currency:
                        type: string
                    type: object
                  price:
                    description: Subtotal price for the exchange item including discounts
                    properties:
                      amount:
                        type: string
                      currency:
                        type: string
                      tax:
                        type: string
                    type: object
                  product:
                    $ref: '#/components/schemas/product.schema'
                    title: Product
                  quantity:
                    $ref: '#/components/schemas/item-quantity.schema'
                    title: Quantity
                  variant:
                    $ref: '#/components/schemas/product-variant.schema'
                required:
                  - id
                  - quantity
                  - variant
              title: Line items
              type: array
            order:
              properties:
                externalId:
                  description: ID of external order
                  title: External ID
                  type: string
              type: object
            provision:
              $ref: '#/components/schemas/exchange-provision.schema'
              title: Provision
            totalTax:
              description: Total tax for exchange items
              properties:
                amount:
                  type: string
                currency:
                  type: string
              type: object
          required:
            - items
            - provision
          title: Exchange
          type: object
        externalOrderIds:
          description: Array of external order IDs associated with this return
          items:
            type: string
          title: External Order IDs
          type: array
        giftCards:
          description: Gift card(s) created for return
          items:
            properties:
              amount:
                $ref: '#/components/schemas/money.schema'
                title: Amount
              code:
                description: Gift card 16 digit code.
                title: Code
                type: string
              externalId:
                description: Gift card ID.
                title: ID
                type: string
            required:
              - amount
              - code
              - externalId
            type: object
          title: Gift cards
          type: array
        id:
          description: Return identifier.
          examples:
            - 64df65d4c5a4ca3eff4b4e43
          title: Identifier
          type: string
        internalCreatedByName:
          description: Name of the internal team member who created this return
          title: Internal Created By Name
          type: string
        items:
          description: Return items
          items:
            properties:
              customerComment:
                description: Customer's comment about the return
                type: string
              exchangeItem:
                description: Exchange item details if this return item is being exchanged
                properties:
                  product:
                    properties:
                      externalId:
                        type: string
                      name:
                        type: string
                    type: object
                  quantity:
                    type: integer
                  variant:
                    properties:
                      externalId:
                        type: string
                      name:
                        type: string
                    type: object
                title: Exchange item
                type: object
              grade:
                description: >-
                  Merchant-assigned grade for the returned item (e.g. condition
                  or quality tier). Null if the merchant has not graded this
                  item.
                title: Grade
                type: string
                nullable: true
              greenReturn:
                description: Whether this is a green return (no physical return required)
                type: boolean
              outcome:
                description: >-
                  Merchant-assigned processing outcome for the returned item
                  (e.g. restock, dispose). Null if the merchant has not set an
                  outcome for this item.
                title: Outcome
                type: string
                nullable: true
              shipmentGroupIds:
                description: IDs of the shipment groups this return item belongs to
                items:
                  type: string
                title: Shipment Group IDs
                type: array
              id:
                description: Return item ID.
                title: ID
                type: string
              orderItem:
                description: Order line item
                properties:
                  id:
                    description: >-
                      Line item reference ID in format:
                      {orderId}/{lineItemIndex}
                    title: ID
                    type: string
                  line_item_id:
                    description: Original Shopify line item ID
                    title: Line Item ID
                    type: string
                required:
                  - id
                title: Order item
                type: object
              externalIdentifier:
                description: >-
                  Merchant-supplied external identifier for this return item.
                  Set via `PUT
                  /stores/{storeId}/returns/{returnId}/item-identifiers`. Null
                  if not set.
                nullable: true
                title: External Identifier
                type: string
              externalReturnLineItemId:
                description: External return line item ID
                title: External Return Line Item ID
                type: string
              productId:
                description: Product ID
                type: string
              quantity:
                description: Quantity of items being returned
                type: integer
              reason:
                description: Primary return reason
                examples:
                  - Too big
                  - Other
                type: string
              reasonCode:
                description: Return reason code
                type: string
              reasons:
                description: Array of return reasons
                items:
                  type: string
                type: array
              reasonCodes:
                description: Array of return reason codes
                items:
                  type: string
                type: array
              productAdjustment:
                description: Product adjustment details
                type: string
              multipleChoiceQuestions:
                description: Multiple choice questions and answers for this return item
                items:
                  properties:
                    question:
                      description: The question text
                      type: string
                    answer:
                      description: The selected answer
                      type: string
                  required:
                    - question
                    - answer
                  type: object
                type: array
              assessments:
                description: >-
                  Assessment records for this return item. Only applicable for
                  warranties.
                items:
                  properties:
                    assignedUser:
                      description: User assigned to this assessment
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        firstName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                      required:
                        - id
                        - name
                        - firstName
                        - lastName
                        - email
                      type: object
                    responses:
                      description: Assessment responses
                      items:
                        discriminator:
                          propertyName: type
                        oneOf:
                          - title: Short Text Response
                            properties:
                              type:
                                const: short_text
                                type: string
                              value:
                                description: Short text response value
                                type: string
                            required:
                              - type
                              - value
                            type: object
                          - title: Long Text Response
                            properties:
                              type:
                                const: long_text
                                type: string
                              value:
                                description: Long text response value
                                type: string
                            required:
                              - type
                              - value
                            type: object
                          - title: Select Response
                            properties:
                              type:
                                const: select
                                type: string
                              value:
                                description: >-
                                  Select response values (array of selected
                                  options)
                                items:
                                  type: string
                                type: array
                            required:
                              - type
                              - value
                            type: object
                          - title: Number Response
                            properties:
                              type:
                                const: number
                                type: string
                              value:
                                description: Number response value
                                type: number
                            required:
                              - type
                              - value
                            type: object
                          - title: Boolean Response
                            properties:
                              type:
                                const: boolean
                                type: string
                              value:
                                description: Boolean response value
                                type: boolean
                            required:
                              - type
                              - value
                            type: object
                          - title: File Upload Response
                            properties:
                              type:
                                const: file_upload
                                type: string
                              value:
                                description: >-
                                  File upload response values (array of file
                                  URLs or identifiers)
                                items:
                                  type: string
                                type: array
                            required:
                              - type
                              - value
                            type: object
                          - title: Date Response
                            properties:
                              type:
                                const: date
                                type: string
                              value:
                                description: Date response value
                                format: date-time
                                type: string
                            required:
                              - type
                              - value
                            type: object
                      type: array
                  required:
                    - assignedUser
                    - responses
                  type: object
                type: array
              refund:
                description: Refund details
                properties:
                  amount:
                    $ref: '#/components/schemas/money.schema'
                    title: Amount
                  type:
                    description: Refund strategy
                    type: string
                required:
                  - amount
                type: object
              productValueNoTaxNoAdjustment:
                description: >-
                  Per-product value before taxes and merchant adjustments.
                  Equivalent to the "Product Value (No Tax/Adjustment)" column
                  in the Returns Report.
                properties:
                  amount:
                    $ref: '#/components/schemas/money.schema'
                    title: Amount
                required:
                  - amount
                title: Product value (no tax / no adjustment)
                type: object
              sku:
                description: Product SKU
                type: string
              upc:
                description: >-
                  Universal Product Code (barcode) snapshotted from the product
                  at return-creation time. Null if no barcode was recorded.
                title: UPC
                type: string
                nullable: true
              status:
                description: Return item status
                type: string
              variantId:
                description: Product variant ID
                type: string
            required:
              - id
              - orderItem
              - quantity
              - reason
            type: object
          type: array
        notes:
          description: Teammembers generated notes and comments on the return
          items:
            properties:
              image:
                description: Optional image URL attached to the note
                title: Image URL
                type: string
              message:
                description: The note text
                title: Message
                type: string
            required:
              - message
            type: object
          title: Notes
          type: array
        order:
          description: Original order.
          properties:
            id:
              description: >-
                Redo's internal identifier for the original order created in
                Redo.
              example: 64e4da943dd822979a70bd12
              title: ID
              type: string
            name:
              description: >-
                Order name from the external provider, such as the Shopify order
                name.
              examples:
                - '#123'
              title: Name
              type: string
          required:
            - id
          title: Order
          type: object
        shipment:
          $ref: '#/components/schemas/return-shipment.schema'
          description: Shipment, if has been made
          title: Shipment
        shipments:
          description: Array of all shipments associated with this return
          items:
            $ref: '#/components/schemas/return-shipment.schema'
          title: Shipments
          type: array
        dropoffs:
          description: >-
            Array of QR-code-based dropoff entries for returns using drop-off
            methods such as BlueYonder/FedEx Easy Returns. Empty for standard
            label-based returns.
          items:
            $ref: '#/components/schemas/return-dropoff.schema'
          title: Dropoffs
          type: array
        shopifyOrderIds:
          description: Array of Shopify order IDs (deprecated, use externalOrderIds)
          items:
            type: string
          title: Shopify Order IDs
          type: array
        source:
          properties:
            emailAddress:
              description: Email address.
              format: email
              title: Email address
              type: string
            mailingAddress:
              $ref: '#/components/schemas/address.schema'
              description: Mailing address returned items are sent from.
              title: Mailing address
            name:
              $ref: '#/components/schemas/person-name.schema'
              description: Name of returner.
              title: Name
            phoneNumber:
              $ref: '#/components/schemas/phone-number.schema'
              description: Phone number of returner.
              title: Phone number
          required:
            - emailAddress
            - mailingAddress
            - name
            - phoneNumber
          type: object
        status:
          $ref: '#/components/schemas/return-status.schema'
          description: Return status.
          title: Status
        tags:
          description: Tags associated with this return
          items:
            properties:
              name:
                description: The tag's display name
                type: string
              source:
                description: The source of the tag
                type: string
            required:
              - name
              - source
            type: object
          title: Tags
          type: array
        totals:
          description: Calculated totals for the return
          properties:
            charge:
              description: The upsell amount for the exchange order
              properties:
                amount:
                  $ref: '#/components/schemas/money.schema'
              required:
                - amount
              type: object
            exchange:
              description: Total value of new items in exchange
              properties:
                amount:
                  $ref: '#/components/schemas/money.schema'
              required:
                - amount
              type: object
            refund:
              description: Total refund amount excluding shipping
              properties:
                amount:
                  $ref: '#/components/schemas/money.schema'
              required:
                - amount
              type: object
            storeCredit:
              description: Total store credit amount
              properties:
                amount:
                  $ref: '#/components/schemas/money.schema'
              required:
                - amount
              type: object
          required:
            - refund
            - exchange
            - storeCredit
            - charge
          title: Totals
          type: object
        type:
          $ref: '#/components/schemas/return-type.schema'
          description: Return type.
          title: Type
        updatedAt:
          description: Time of last update.
          format: date-time
          title: Updated at
          type: string
      required:
        - createdAt
        - destination
        - giftCards
        - source
        - id
        - order
        - items
        - status
        - updatedAt
      title: Return
      type: object
    error.schema:
      description: >-
        Problem details. See [RFC 7807 Section
        3](https://datatracker.ietf.org/doc/html/rfc7807#section-3).
      properties:
        detail:
          description: Human-readable description of the problem.
          title: Detail
          type: string
        instance:
          description: A URI reference that identifies this problem.
          format: uri-reference
          type: string
        title:
          description: Human-readable summary of the problem type.
          title: Title
          type: string
        type:
          default: about:blank
          description: A URI reference that identifies the problem type.
          format: uri-reference
          type: string
      title: Problem details
      type: object
    return-status.schema:
      description: |
        Return status.

        * open: Return has been approved and is awaiting shipment.
        * in_transit: Return shipment is in transit.
        * delivered: Return shipment has been delivered and awaiting processing.
        * needs_review: Return requires review before further action.
        * in_review: Return is currently being reviewed.
        * complete: The return has been completed successfully.
        * rejected: The return has been rejected.
        * flagged: A problem with return processing requires merchant action.
        * pre_shipment: Return requires pre-shipment merchant authorization.
        * deleted: The return has been deleted (Reset).
      enum:
        - open
        - in_transit
        - delivered
        - needs_review
        - in_review
        - complete
        - rejected
        - flagged
        - pre_shipment
        - deleted
      example: open
      title: Return status
      type: string
    person-name.schema:
      description: Person name.
      properties:
        given:
          description: Given name
          examples:
            - John
            - Mary
          type: string
        surname:
          description: Surname
          examples:
            - Smith
            - Brown
          type: string
      required:
        - given
        - surname
      title: Person name
      type: object
    phone-number.schema:
      description: Phone number, in E.164 format
      examples:
        - '+15555555555'
      title: Phone number
      type: string
    money.schema:
      description: Currency amount
      properties:
        amount:
          examples:
            - '50.2'
            - '1.78'
          title: Amount
          type: string
        currency:
          examples:
            - USD
            - EUR
          title: Currency
          type: string
      title: Money
      type: object
    product.schema:
      description: Product.
      properties:
        externalId:
          description: Product ID in external system (e.g. shopify).
          title: External ID
          type: string
        name:
          description: Product title
          title: Name
          type: string
      required:
        - name
      title: Product
      type: object
    item-quantity.schema:
      description: Item quantity.
      example: 1
      exclusiveMinimum: 0
      title: Item quantity
      type: number
    product-variant.schema:
      properties:
        externalId:
          title: External ID
          type: string
        name:
          title: Title
          type: string
        sku:
          title: SKU
          type: string
        weight:
          $ref: '#/components/schemas/weight.schema'
          title: Weight
      required:
        - name
      title: Product variant
      type: object
    address.schema:
      description: Address.
      properties:
        city:
          description: City name
          examples:
            - Anytown
          title: City
          type: string
        country:
          description: Country code
          examples:
            - US
            - CA
          title: Country
          type: string
        line1:
          description: Line 1
          examples:
            - 123 Main St
          title: Line 1
          type: string
        line2:
          default: ''
          description: Line 2
          examples:
            - ''
          title: Line 2
          type: string
        postalCode:
          description: Postal or ZIP code
          examples:
            - '12345'
          title: Postal code
          type: string
        state:
          description: State or province
          examples:
            - WA
            - Washington
          title: State
          type: string
      required:
        - city
        - country
        - line1
        - state
        - postalCode
      title: Address
      type: object
    exchange-provision.schema:
      enum:
        - instant
        - deferred
      example: deferred
      title: Exchang provision
      type: string
    return-shipment.schema:
      description: Return shipment tracking information
      properties:
        carrier:
          description: Carrier code
          title: Carrier
          type: string
        status:
          description: Status of shipment
          enum:
            - unknown
            - pre_transit
            - in_transit
            - out_for_delivery
            - available_for_pickup
            - cancelled
            - delivered
            - error
            - failure
            - return_to_sender
            - expired
          title: Status
          type: string
        tracker:
          description: Tracking number
          title: Tracker
          type: string
        trackingUrl:
          description: Tracking URL
          title: Tracking URL
          type: string
        postageLabel:
          description: Postage label URL
          title: Postage Label
          type: string
        formLabel:
          description: Form label URL
          title: Form Label
          type: string
        shipmentGroupId:
          description: ID of the shipment group this shipment belongs to
          title: Shipment Group ID
          type: string
        itemIds:
          description: IDs of the return items included in this shipment
          items:
            type: string
          title: Item IDs
          type: array
        externalLocationId:
          description: External location ID for the destination of this shipment
          title: External Location ID
          type: string
        estimatedDeliveryDate:
          description: Estimated delivery date for this shipment
          title: Estimated Delivery Date
          type: string
        deliveredAt:
          description: Date and time this shipment was delivered
          title: Delivered At
          type: string
      title: Return Shipment
      type: object
    return-dropoff.schema:
      description: >-
        Dropoff entry for returns using QR-code-based drop-off methods (e.g.
        BlueYonder/FedEx Easy Returns)
      properties:
        shipmentGroupId:
          description: ID of the shipment group this dropoff belongs to
          title: Shipment Group ID
          type: string
        provider:
          description: Dropoff provider name (e.g. "FedEx Easy Returns", "Virtual")
          title: Provider
          type: string
        qrCode:
          description: Raw QR code data
          title: QR Code
          type: string
        qrCodeUrl:
          description: URL to a rendered QR code image
          title: QR Code URL
          type: string
      required:
        - shipmentGroupId
        - provider
      title: Return Dropoff
      type: object
    return-type.schema:
      description: |
        Return type.
      enum:
        - claim
        - return
        - warranty
      example: return
      title: Return type
      type: string
    weight.schema:
      description: Weight.
      properties:
        kg:
          description: Weight in kilograms
          examples:
            - 0.021
            - 1.4
          minimum: 0
          title: Kilograms
          type: number
      title: Weight
      type: object
  headers:
    page-next.header:
      description: Next value for X-Page-Continue, for more results
      schema:
        type: string
  securitySchemes:
    Bearer:
      scheme: bearer
      type: http

````